# Colombia

## Required fields

| Field                  | Format                                                                                                                              | Description                                         |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------- |
| `login`                | String                                                                                                                              | Cashouts login                                      |
| `pass`                 | String                                                                                                                              | Cashouts pass                                       |
| `external_id`          | String (max length: 100)                                                                                                            | Transaction's ID on your end                        |
| `document_id`          | See [document validations](/guides/cashouts/countries-validations/american-countries/colombia.md#document-validations)              | Beneficiary's document ID                           |
| `document_type`        | See [document validations](/guides/cashouts/countries-validations/american-countries/colombia.md#document-validations)              | Beneficiary's document type                         |
| `country`              | `CO`                                                                                                                                | The country codes are in ISO 3166-1 alpha-2 format. |
| `currency`             | `COP` / `USD`                                                                                                                       | The currencies are in ISO 4217 format.              |
| `amount`               | Number with up to 2 decimals                                                                                                        | Cashout amount                                      |
| `bank_code`            | See [bank codes](/guides/cashouts/countries-validations/american-countries/colombia.md#bank-codes)                                  | Code specifying the beneficiary's bank              |
| `bank_account`         | See [validations below](/guides/cashouts/countries-validations/american-countries/colombia.md#bank-account-validations)             | Beneficiary's bank account                          |
| `account_type`         | See [account type codes](/guides/cashouts/countries-validations/american-countries/colombia.md#account-types)                       | Beneficiary's bank account type                     |
| `beneficiary_name`     | String (max length: 100)                                                                                                            | Beneficiary's name                                  |
| `beneficiary_lastname` | String (max length: 100)                                                                                                            | Beneficiary's last name                             |
| `address`              | String (max length: 255)                                                                                                            | Beneficiary's address                               |
| `phone`                | String (max length: 20). [See validations](/guides/cashouts/countries-validations/american-countries/colombia.md#phone-validations) | Beneficiary's phone number                          |
| `email`                | String (max length: 255)                                                                                                            | Optional Field - Only required for Punto Red        |

### `bank_account` validations

| Bank name        | Bank code | Format                                       | Regex            | Example       |
| ---------------- | :-------: | -------------------------------------------- | ---------------- | ------------- |
| Pandablue Wallet |   30000   | Customer's mobile phone                      | `^[\s\S]{1,20}$` | +57 15551234  |
| Nequi            |    1507   | Customer's mobile phone                      | `^[\s\S]{1,20}$` | 5715551234    |
| Daviplata        |    1551   | Customer's mobile phone                      | `^[\s\S]{1,20}$` | 5715551234    |
| Efecty           |   10003   | Empty string                                 | `^$`             |               |
| Punto Red        |   10006   | Customer's mobile phone and customer's email | `^[\s\S]{1,20}$` | 5715551234    |
| Others           |     -     | Numeric[^1]                                  | `^\d{8,19}$`     | 1234567890123 |

### `account_type`

The `account_type` is specified with only one character as described below.

| account\_type | Description       |
| :-----------: | ----------------- |
|    **`C`**    | Checkings account |
|    **`S`**    | Savings account   |

### `phone` validations

<table><thead><tr><th width="128.3515625">Bank name</th><th width="123.3359375" align="center">Bank code</th><th width="212.56640625">Format</th><th align="center">Required</th><th>Example</th></tr></thead><tbody><tr><td>Efecty</td><td align="center">10003</td><td>Numeric - Country code +57 plus 10 digits<br>+57 XXX XXXXXXX</td><td align="center"><strong>Yes</strong></td><td>+57 310 4028587</td></tr><tr><td>Punto Red</td><td align="center">10006</td><td>Numeric - Country code +57 plus 10 digits<br>+57 XXX XXXXXXX</td><td align="center"><strong>Yes</strong></td><td>+57 310 4028587</td></tr><tr><td>Others</td><td align="center">-</td><td>-</td><td align="center"><strong>No</strong></td><td>-</td></tr></tbody></table>

### `document_type`  and `document_id` validations

<table><thead><tr><th width="166.68359375">document_type</th><th>document_id format</th></tr></thead><tbody><tr><td><code>CC</code></td><td>Numeric. Length between 6 and 10 inclusive</td></tr><tr><td><code>NIT</code></td><td>Numeric. Length between 8 and 15</td></tr><tr><td><code>CE</code></td><td>Numeric. Length between 6 and 10 inclusive</td></tr><tr><td><code>PASS</code></td><td>Numeric. Length between 6 and 10 inclusive</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="Generic" %}

```json
{
    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000001",
    "country": "CO",
    "currency": "COP",
    "amount": 100,
    "document_id": "848392783",
    "document_type": "CC",
    "bank_account": "56687456",
    "bank_code": "001",
    "account_type": "C",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "address": "Calle 18, Colombia",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}

{% tab title="Pandablue Wallet" %}

```json
{
    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000001",
    "country": "CO",
    "currency": "COP",
    "amount": 185000,
    "document_id": "848392783",
    "document_type": "CC",
    "bank_account": "+57 15551234",
    "bank_code": "30000",
    "account_type": "C",
    "phone": "+57 15551234",
    "email": "beneficiary@email.com",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "address": "Calle 18, Colombia",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}

{% tab title="Efecty" %}

<pre class="language-json"><code class="lang-json">{
  "login": "xxxxxxxxx",
  "pass": "xxxxxxxxx",
  "external_id": "30000000002",
  "country": "CO",
  "currency": "COP",
  "amount": 100,
  "document_id": "24721498",
  "document_type": "CC",
  "cashout_type": "BANK",
  "bank_account": "",
  "bank_branch": "",
<strong>  "bank_code": 10003,
</strong>  "account_type": "S",
  "beneficiary_name": "User",
  "beneficiary_lastname": "Test",
  "address": "Calle 43"
  "email": "",
<strong>  "phone": "+57 310 4028587",
</strong>  "notification_url": "https://webhook.site/url",
}
</code></pre>

{% endtab %}

{% tab title="Punto Red" %}

<pre class="language-json"><code class="lang-json">{
  "login": "xxxxxxxxx",
  "pass": "xxxxxxxxx",
  "external_id": "30000000002",
  "country": "CO",
  "currency": "COP",
  "amount": 100,
  "document_id": "24721498",
  "document_type": "CC",
  "cashout_type": "BANK",
  "bank_account": "",
  "bank_branch": "",
<strong>  "bank_code": 10006,
</strong>  "account_type": "S",
  "beneficiary_name": "User",
  "beneficiary_lastname": "Test",
  "address": "Calle 43"
  "email": "useremail@gmail.com",
<strong>  "phone": "+57 310 4028587",
</strong>  "notification_url": "https://webhook.site/url",
}
</code></pre>

{% endtab %}
{% endtabs %}

#### BREB Cashouts - Types of Keys  <a href="#fields-required-for-the-oneshot-experience" id="fields-required-for-the-oneshot-experience"></a>

| Bank              | Bank Code | Bank Details                                                                                                                                                    |
| ----------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| BREB Key Phone    | 20000     | `bank_account` must contain the phone value. `bank_branch` must be empty. `phone` is required. `account_type` can be any value.                                 |
| BREB Key Email    | 20001     | `bank_account` must contain the email value. `bank_branch` must be empty. `email` is required. `account_type` can be any value.                                 |
| BREB Key Document | 20002     | `bank_account` must contain the document\_id value. `bank_branch` must be empty. `document_id` is required. `account_type` can be any value.                    |
| BREB Key Random   | 20003     | `bank_branch` must be empty. The field `account_type` can have any value. The field `bank_account` must be sent - this indicates the customer's BREB random key |

### Bank codes

{% hint style="success" %}

### Bank code retrieval via API

For the full and most up-to-date list of banks and its codes, please check this endpoint <a href="/spaces/VNE8t2FopKfzgQzTjlBb/pages/kD1eu0r7kuzS2nEDm1N9" class="button primary">Get bank codes</a>
{% endhint %}

| Bank                                | Code  |
| ----------------------------------- | ----- |
| BANCO DE BOGOTÁ                     | 001   |
| BANCO POPULAR                       | 002   |
| ITAÚ - Antes CORPBANCA              | 006   |
| BANCOLOMBIA                         | 007   |
| ABN AMRO                            | 008   |
| CITIBANK                            | 009   |
| HSBC                                | 010   |
| BANCO SUDAMERIS                     | 012   |
| BBVA                                | 013   |
| ITAÚ (HELM)                         | 014   |
| BANCO COLPATRIA                     | 019   |
| BANCO DE OCCIDENTE                  | 023   |
| BANCOLDEX S.A.                      | 031   |
| BANCO CAJA SOCIAL BCSC              | 032   |
| BANCO AGRARIO                       | 040   |
| BANCO MUNDO MUJER                   | 047   |
| BANCO DAVIVIENDA                    | 051   |
| BANCO AV VILLAS                     | 052   |
| BANCO W S.A.                        | 053   |
| BANCO PROCREDIT                     | 058   |
| BANCAMIA S.A.                       | 059   |
| BANCO PICHINCHA                     | 060   |
| BANCOOMEVA                          | 061   |
| BANCO FALABELLA S.A                 | 062   |
| BANCO FINANDINA                     | 063   |
| BANCO MULTIBANK S.A.                | 064   |
| SANTANDER                           | 065   |
| BANCO COMPARTIR S.A.                | 067   |
| BANCO SERFINANZA S.A.               | 069   |
| LULO BANK S.A                       | 070   |
| J.P. MORGAN COLOMBIA                | 071   |
| COOPCENTRAL S.A.                    | 076   |
| BANCO DALE                          | 097   |
| Directa24                           | 100   |
| COOPERATIVA FINANCIERA DE ANTIOQUIA | 283   |
| COTRAFA COOPERATIVA FINANCIERA      | 289   |
| COOFINEP                            | 291   |
| CONFIAR                             | 292   |
| FINANCIERA JURISCOOP                | 296   |
| BANCO UNION                         | 303   |
| COLTEFINANCIERA                     | 370   |
| BANCO CREDIFINANCIERA S.A.          | 558   |
| IRIS                                | 637   |
| MOVII                               | 801   |
| Nubank                              | 809   |
| RAPPIPAY                            | 811   |
| BANCO W                             | 1053  |
| MIBANCO                             | 1067  |
| ASOPAGOSS                           | 1086  |
| JFK COOPERATIVA FINANCIERA          | 1286  |
| NEQUI                               | 1507  |
| DAVIPLATA                           | 1551  |
| BAN100 CREDIFINANCIERA              | 1558  |
| PIBANK                              | 1560  |
| DING TECNIPAGOS SA                  | 1802  |
| POWWI                               | 1803  |
| UALA                                | 1804  |
| BANCO BTG PACTUAL                   | 1805  |
| BOLD CF                             | 1808  |
| COINK                               | 1812  |
| GLOBAL66                            | 1814  |
| D24 Card                            | 10001 |
| Su Red                              | 10002 |
| Efecty                              | 10003 |
| TPAGA Wallet                        | 10005 |
| PUNTO RED                           | 10006 |
| BREB                                | 1184  |
| Pandablue Wallet                    | 30000 |

[^1]: Numeric


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/guides/cashouts/countries-validations/american-countries/colombia.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
